{{- $email := promptStringOnce . "email" "Email Address" "acidrain1@gmail.com" -}}
{{- $signingkey := promptStringOnce . "signingkey" "GPG Signing Key" -}}
{{- $makejobs := promptIntOnce . "makejobs" "Number of Parallel Make Jobs" 4 -}}
{{- $nvim_enable_coc := promptBoolOnce . "nvim_enable_coc" "Enable coc.nvim" true -}}

{{- $osid := .chezmoi.os -}}
{{- if (and (ne .chezmoi.osRelease nil) (hasKey .chezmoi.osRelease "id")) -}}
{{-   $osid = printf "%s-%s" .chezmoi.os .chezmoi.osRelease.id -}}
{{- end -}}

[data]
email = {{ $email | quote }}
signingkey = {{ $signingkey | quote }}
makejobs = {{ $makejobs }}
nvim_enable_coc = {{ $nvim_enable_coc }}
osid = {{ $osid | quote }}

[data.command]
{{- if eq .chezmoi.os "darwin" }}
clip = "pbcopy"
xargs = "xargs"
{{- else }}
clip = "xsel --clipboard"
xargs = "xargs -r"
{{- end }}

[data.path]
{{- if eq .chezmoi.os "darwin" }}
fzf_completion = "/usr/local/opt/fzf/shell/completion.zsh"
fzf_key_bindings = "/usr/local/opt/fzf/shell/key-bindings.zsh"
pyenv_completion = ""  # TODO
{{- else if eq $osid "linux-fedora" }}
fzf_completion = "/usr/share/zsh/site-functions/fzf"
fzf_key_bindings = "/usr/share/fzf/shell/key-bindings.zsh"
pyenv_completion = ""  # TODO
{{- else if or (eq $osid "linux-debian") (eq $osid "linux-ubuntu") }}
fzf_completion = "/usr/share/doc/fzf/examples/completion.zsh"
fzf_key_bindings = "/usr/share/doc/fzf/examples/key-bindings.zsh"
pyenv_completion = ""  # TODO
{{- else if eq $osid "linux-opensuse-tumbleweed" }}
fzf_completion = "/usr/share/zsh/site-functions/_fzf"
fzf_key_bindings = "/etc/zsh_completion.d/fzf-key-bindings"
pyenv_completion = ""  # TODO
{{- else }}
fzf_completion = "/usr/share/fzf/completion.zsh"
fzf_key_bindings = "/usr/share/fzf/key-bindings.zsh"
pyenv_completion = "/usr/share/zsh/site-functions/_pyenv"
{{- end }}
jetbrains_jre = ""

[data.pipewire]
{{- if eq .chezmoi.hostname "xenomorph" }}
clock_rate = 96000
quantum = 2048
min_quantum = 1024
max_quantum = 8192
{{- else }}
clock_rate = 48000
quantum = 1024
min_quantum = 16
max_quantum = 2048
{{- end }}

# vim: ft=toml
